\documentclass{standalone}

\usepackage{pgf,tikz,pgfplots}
\pgfplotsset{compat=1.15}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=2cm,y=1cm, scale=0.5]
\begin{axis}[
x=2cm,y=1cm,
axis lines=middle,
ymajorgrids=true,
xmajorgrids=true,
xmin=-3.5,
xmax=3.5,
ymin=-0.5,
ymax=3.5,
xtick={-3,-2,...,4},
ytick={-1,0,...,3},]
\clip(-3.5,-0.5) rectangle (3.5,3.5);
\draw[line width=1.5pt,color=PartieGeometrie,smooth,samples=100,domain=-4:4] plot(\x,{-0.5*(\x)+2});
\end{axis}
\end{tikzpicture}
\end{document}